Bug 859355 - wireless: crash in crypto_destroy_tfm
wireless: crash in crypto_destroy_tfm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stanislaw Gruszka
Desktop QE
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 05:45 EDT by Stanislaw Gruszka
Modified: 2013-02-21 01:39 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.32-337.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:39:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel crash photo (1.10 MB, image/jpeg)
2012-09-21 06:34 EDT, Stanislaw Gruszka
no flags Details

  None (edit)
Description Stanislaw Gruszka 2012-09-21 05:45:34 EDT
Description of problem:
Crash in crypto_destroy_tfm. This happen when switching on rfkill with rt61pci (pcmcia) devices connected to WPA2-Enterprise (CCMP encrypted) network.

Version-Release number of selected component (if applicable):
RHEL6 with wireless update from bug 841578 . Probability happen on vanilla RHEL6.3 too, but not tested. 

How reproducible:
100%


Steps to Reproduce:
1. Plug in rt61pci pcmcia device 
2. Connect to WPA2 CCMP network
3. Switch rfkill on (disable radio)
Comment 2 Stanislaw Gruszka 2012-09-21 06:34:48 EDT
Created attachment 615362 [details]
kernel crash photo
Comment 3 RHEL Product and Program Management 2012-09-21 07:01:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 4 Stanislaw Gruszka 2012-09-21 08:48:34 EDT
Posted proposed fix upstream:
http://marc.info/?l=linux-wireless&m=134823135130127&w=2
Comment 5 Stanislaw Gruszka 2012-10-04 05:14:38 EDT
Improved version of the fix:
http://marc.info/?l=linux-wireless&m=134920652414827&w=2
Comment 10 Jarod Wilson 2012-10-29 14:51:20 EDT
Patch(es) available on kernel-2.6.32-337.el6
Comment 13 Stanislaw Gruszka 2012-11-29 09:39:37 EST
I can not reproduce problem on 2.6.32-344.el6.
Comment 15 errata-xmlrpc 2013-02-21 01:39:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.